Summary: The Vorbis General Audio Compression Codec tools.
Name:		vorbis-tools
Version:	1.0
Release:	6
Epoch:		1
Group: Applications/Multimedia
License:	GPL
URL:		http://www.xiph.org/
Source:		http://www.xiph.org/ogg/vorbis/download/%{name}-%{version}.tar.gz
Patch:		vorbis-tools-1.0-build.patch
Patch1:		vorbis-tools-1.0-curlconfig.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	libogg >= 2:%{version}, libvorbis >= 1:%{version}, libao >= 0.8.3
BuildPrereq:	libvorbis-devel >= 1:%{version}, libao-devel >= 0.8.3, curl-devel >= 7.8
Obsoletes:	vorbis
Provides:	vorbis

%description
Ogg Vorbis is a fully open, non-proprietary, patent- and royalty-free,
general-purpose compressed audio format for audio and music at fixed
and variable bitrates from 16 to 128 kbps/channel.

The vorbis package contains an encoder, a decoder, a playback tool, and a
comment editor.

%prep
%setup -q -n %{name}-%{version}
%patch -p1
%patch1 -p1

%build
perl -p -i -e "s/-O20/$RPM_OPT_FLAGS/" configure
perl -p -i -e "s/-ffast-math//" configure

%configure
export tagname=CC
make LIBTOOL=/usr/bin/libtool

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
export tagname=CC
make LIBTOOL=/usr/bin/libtool DESTDIR=$RPM_BUILD_ROOT install

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README ogg123/ogg123rc-example
%{_bindir}/*
%{_mandir}/man1/*

%clean 
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep  5 2003 Bill Nottingham <notting@redhat.com> 1.0-6
- fix curl detection so ogg123 gets built (#103831)

* Thu Aug  7 2003 Elliot Lee <sopwith@redhat.com> 1.0-5
- Fix link errors

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  3 2003 Jeff Johnson <jbj@redhat.com>
- add explicit epoch's where needed.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 11 2002 Tim Powers <timp@redhat.com> 1:1.0-2
- rebuild on all arches

* Fri Jul 18 2002 Bill Nottingham <notting@redhat.com>
- one-dot-oh

* Tue Jul 16 2002 Elliot Lee <sopwith@redhat.com>
- Add builddep on curl-devel

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Feb 26 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.0rc3-3
- s/Copyright/License/
- Add curl-devel as a build dependency

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jan  1 2002 Bill Nottingham <notting@redhat.com>
- update to 1.0rc3

* Mon Aug 13 2001 Bill Nottingham <notting@redhat.com>
- update to 1.0rc2

* Fri Jul 20 2001 Bill Nottingham <notting@redhat.com>
- split libao, libvorbis out

* Tue Jul 10 2001 Bill Nottingham <notting@redhat.com>
- own %%{_libdir}/ao
- I love libtool

* Tue Jun 26 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add links from library major version numbers in rpms

* Tue Jun 19 2001 Bill Nottingham <notting@redhat.com>
- update to rc1

* Fri May  4 2001 Oliver Paukstadt <oliver.paukstadt@millenux.com>
- fixed perl line in spec file to set optims correctly

* Tue Mar 20 2001 Bill Nottingham <notting@redhat.com>
- fix alpha/ia64, again
- use optflags, not -O20 -ffast-math (especially on alpha...)

* Mon Feb 26 2001 Bill Nottingham <notting@redhat.com>
- fix license tag

* Mon Feb 26 2001 Bill Nottingham <notting@redhat.com>
- beta4

* Fri Feb  9 2001 Bill Nottingham <notting@redhat.com>
- fix alpha/ia64

* Thu Feb  8 2001 Bill Nottingham <notting@redhat.com>
- update CVS in prep for beta4

* Wed Feb 07 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed bugzilla bug #25391. ogg123 now usses the OSS driver by default if
  none was specified.

* Tue Jan  9 2001 Bill Nottingham <notting@redhat.com>
- update CVS, grab aRts backend for libao

* Thu Dec 27 2000 Bill Nottingham <notting@redhat.com>
- update CVS

* Fri Dec 01 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils

* Mon Nov 13 2000 Bill Nottingham <notting@redhat.com>
- hack up specfile some, merge some packages

* Sat Oct 21 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created
